﻿package classes {
	import flash.display.Sprite;
	import flash.events.MouseEvent;
	import caurina.transitions.Tweener;
	
	public class Onpu extends Sprite {
		
		public var _rect:Sprite;
		public var checked:Boolean;
		private var _onpuMc:Sprite;
		
		public function Onpu( $w:Number ,$h:Number, $onpuMc:Sprite) {
			_onpuMc = $onpuMc;
			_onpuMc.mouseEnabled = false;
			
			_rect = new Sprite();
			addChild(_rect);
			_rect.graphics.beginFill( 0xff3b77  , 1 )
			_rect.graphics.drawRoundRect( 0 , 1 , $w , $h -2 ,6 ,6 );
			_rect.graphics.endFill();
			_rect.alpha = 0.2;
			_rect.buttonMode = true;
			
			_rect.addEventListener( MouseEvent.ROLL_OVER , onRollOverHandler );
			_rect.addEventListener( MouseEvent.ROLL_OUT , onRollOutHandler );
			_rect.addEventListener( MouseEvent.CLICK , onClickHandler );
		}
		
		private function onClickHandler(e:MouseEvent):void {
			checked = !checked;
			if (checked) {
				addChild(_onpuMc);
				_onpuMc.x = 0;
				_onpuMc.y = -100;
				Tweener.addTween( _onpuMc , {
					x : _rect.width / 2 ,
					y : _rect.height / 2 ,
					time :1
				});
			} else {
				Tweener.addTween( _onpuMc , {
					x : 0 ,
					y : 200 ,
					time :1 ,
					onComplete : function() {
						this.parent.removeChild(this);
					}
				});
			}
			
			
			
		}
		
		private function onRollOverHandler(e:MouseEvent):void {
			_rect.alpha = 1;
		}
		
		private function onRollOutHandler(e:MouseEvent):void {
			_rect.alpha = 0.2;
		}
	
		
	}
	
}