﻿package classes {
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFieldType;
	
	public class BpmTextField extends Sprite {
		
		private var _tf:TextField;
		
		public function BpmTextField() {
			init();
		}
		
		private function init():void{
			addChild( new BpmText() );
			
			_tf = new TextField();
			_tf.x = 70;
			_tf.width = 30;
			_tf.maxChars = 3;
			_tf.restrict = "0-9";
			_tf.height = 18;
			_tf.type = TextFieldType.INPUT;
			_tf.backgroundColor = 0xFFFFFF;
			_tf.border = true;
			_tf.borderColor = 0xCCCCCC;
			_tf.background = true;
			_tf.multiline = false;
			_tf.text = "60";
			
			addChild(_tf);
		}
		
		public function getBpm():Number {
			var bpm:Number;
			if ( _tf.text ) {
				bpm = Number(_tf.text);
			} else {
				bpm = 60;
				 _tf.text = "60";
			}
			
			return bpm;
		}
		
	}
	
}