﻿package classes {
	import flash.display.Sprite;

	public class Score extends Sprite{
		
		private var _line:Sprite;
		private var _onpuW:Number = 25;
		private var _onpuH:Number = 20;
		private var _onpuArea:Sprite;
		private var _onpuArray:Array;
		
		public function Score() {
			init();
		}
		
		public function init() {
			
			//五線譜
			_line = new Sprite();
			addChild(_line);
			for (var i:int = 0; i < 5; i++) {
				_line.graphics.lineStyle(1 , 0xcccccc , 1 );
				_line.graphics.moveTo( 0 , i * _onpuH );
				_line.graphics.lineTo( 400 , i * _onpuH );
			}
			
			//ヘ音記号
			var heon:Sprite = new HeonKigo();
			addChild( heon );
			heon.x = 10;
			
			_onpuArea = new Sprite();
			addChild(_onpuArea);
			_onpuArea.x = 100;
			var marginX:Number = 10;
			_onpuArray = [];
			for (var ix:int = 0; ix < 8; ix++) {
				_onpuArray[ix] = new Array();
				for (var iy:int = 0; iy < 3 ; iy++) {
					//hi-hat , snare , bassの3パート
					var onpuMc:Sprite;
					switch (iy) {
						case 0: onpuMc = new Onpu2(); break;
						case 1: onpuMc = new Onpu1(); break;
						case 2: onpuMc = new Onpu1(); break;
					}
					
					var onpu:Onpu = new Onpu( _onpuW , _onpuH ,onpuMc );
					_onpuArea.addChild(onpu);
					onpu.x = ix * _onpuW + marginX * ix;
					onpu.y = iy * _onpuH*2 -_onpuH;
					
					_onpuArray[ix][iy] = onpu;
				}
			}
		}
		
		public function get onpuArray():Array { return _onpuArray; }
		
	}
	
}