﻿package classes {
	import flash.events.EventDispatcher;
	import flash.media.Sound;
	import flash.events.Event;
	import flash.media.SoundTransform;

	public class SoundManage extends EventDispatcher {
		
		private var _hihat:Sound;
		private var _snare:Sound;
		private var _bass:Sound;
		private var _main:Main;
		
		
		public function SoundManage($main) {
			_main = $main;
			init();
		}
		
		private function init():void{
			_hihat = new SoundHiHat();
			_snare = new SoundSnare();
			_bass = new SoundBass();
			
			_main.addEventListener(_main.HIHAT , _hihatHandler );
			_main.addEventListener(_main.SNARE , _snareHandler );
			_main.addEventListener(_main.BASS , _bassHandler );
		}
		
		private function _hihatHandler(e:Event):void {
			var trans:SoundTransform = new SoundTransform( 10 );
			_hihat.play( 0 , 1 , trans);
		}
		
		private function _snareHandler(e:Event):void {
			var trans:SoundTransform = new SoundTransform( 1 );
			_snare.play( 0 , 1 , trans);
		}
		
		private function _bassHandler(e:Event):void {
			var trans:SoundTransform = new SoundTransform( 1 );
			_bass.play( 0 , 1 , trans);
		}
	}
	
}